GMX(1)

NAME
gmx - master command for GROMACS suite

SYNOPSIS
gmx [ options ] command [ command options ... ]

DESCRIPTION
gmx is the unified interface for nearly all GROMACS operations. For a list of all available commands, run gmx help command , and for detailed help on a specific command, e.g. rms, run gmx help rms or read the (equivalent) man page for gmx-rms(1).

SELECTION SYNTAX AND USAGE
Selections are used to select atoms/molecules/residues for analysis. In contrast to traditional index files, selections can be dynamic, i.e., select different atoms for different trajectory frames.

Each analysis tool requires a different number of selections and the selections are interpreted differently. The general idea is still the same: each selection evaluates to a set of positions, where a position can be an atom position or center-of-mass or center-of-geometry of a set of atoms. The tool then uses these positions for its analysis to allow very flexible processing. Some analysis tools may have limitations on the types of selections allowed.

To get started with selections, run, e.g., gmx select without specifying selections on the command-line and use the interactive prompt to try out different selections. This tool provides output options that allow one to see what is actually selected by the given selections, and the interactive prompt reports syntax errors immediately, allowing one to try again. The subtopics listed below give more details on different aspects of selections.

Available subtopics:
arithmetic   Arithmetic expressions in selections
cmdline      Specifying selections from command line
evaluation   Selection evaluation and optimization
examples     Selection examples
keywords     Selection keywords
limitations  Selection limitations
positions    Specifying positions in selections
syntax       Selection syntax

View these selections with gmx help selection SUBTOPIC.

GLOBAL OPTIONS
For command specific options, see gmx help COMMAND.

-h  Print help and quit.

-quiet
    Do not print common startup info or quotes.

-version
    Print extended version information and quit.

-copyright
    Print copyright information on startup.

All of these options can be suppressed by a leading "no", e.g. -noquiet.

SEE ALSO
/usr/share/doc/gromacs